source("modules/Loading/Loading.R")
source("modules/Skill/Skill.R")
source("modules/Downscaling/Downscaling.R")
source("modules/Saving/Saving.R")
source("modules/Anomalies/Anomalies.R")

recipe_file <- "recipes//atomic_recipes/recipe_test_provenance3.yml"
recipe <- prepare_outputs(recipe_file, disable_checks = F)

#Load datasets
data <- Loading(recipe)

#Compute anomalies
ano_data <- Anomalies(recipe, data)

#Downscale the data
downscaled_data <- Downscaling(recipe, ano_data)

#Compute skill metrics
skill_metrics <- Skill(recipe, downscaled_data)

#Generate JSON file
graph2json(skill_metrics$graph.prov$graph,
           "/esarchive/scratch/apuiggro/sunset/graph333333.json")